Skip to main content
POST
/
tickets
Create a new ticket
curl --request POST \
  --url https://api.gleap.io/v3/tickets \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'project: <project>' \
  --data '
{
  "title": "<string>",
  "conversationClosed": true,
  "bot": {
    "active": true,
    "currentBot": "<string>",
    "currentActionFlow": "<string>",
    "currentAction": 123,
    "forwardedToSupportAt": "2023-11-07T05:31:56Z",
    "kaiActive": true,
    "noAnswerFound": true
  },
  "content": "<unknown>",
  "plainContent": "<string>",
  "imageUrl": "<string>",
  "description": "<string>",
  "latestComment": "<string>",
  "latestPublicComment": "<string>",
  "slaBreached": true,
  "hidden": true,
  "needInitialPush": true,
  "noHumanInteraction": true,
  "snoozed": true,
  "snoozedUntil": "2023-11-07T05:31:56Z",
  "processingUser": "<string>",
  "processingTeam": "<string>",
  "queued": true,
  "queuedAt": "2023-11-07T05:31:56Z",
  "mentions": [
    "<string>"
  ],
  "emailRefs": [
    "<unknown>"
  ],
  "attributes": "<unknown>",
  "formData": "<unknown>",
  "form": "<unknown>",
  "aiSummary": "<string>",
  "aiSupportSummary": "<string>",
  "dueDate": "2023-11-07T05:31:56Z",
  "linkedTickets": [
    "<string>"
  ],
  "duplicateOf": "<string>",
  "duplicatesCount": 123,
  "session": "<unknown>",
  "sessions": [
    "<unknown>"
  ],
  "outbound": "<string>",
  "priority": "LOW",
  "type": "<string>",
  "sentiment": "positive",
  "status": "<string>",
  "shareToken": "<string>",
  "secretShareToken": "<string>",
  "lexorank": "<string>",
  "bugId": 123,
  "project": "<string>",
  "organisation": "<string>",
  "screenshotUrl": "<string>",
  "screenshotBroke": "2023-11-07T05:31:56Z",
  "generatingScreenshot": true,
  "screenshotRenderingFailed": true,
  "screenshotLive": true,
  "screenshotDataUrl": "<unknown>",
  "isSilent": true,
  "replayDataUrl": "<string>",
  "replayUrl": "<string>",
  "generatingReplay": true,
  "replayStartDate": "2023-11-07T05:31:56Z",
  "replayRenderingStartedAt": "2023-11-07T05:31:56Z",
  "replayRenderingFailed": true,
  "replayLive": true,
  "originalEmailContent": "<string>",
  "hasWebReplay": true,
  "integrations": {},
  "metaData": "<unknown>",
  "actionLog": "<unknown>",
  "customData": "<unknown>",
  "replay": "<unknown>",
  "lastResponse": {
    "contact": "2023-11-07T05:31:56Z",
    "admin": "2023-11-07T05:31:56Z"
  },
  "attachments": [
    {
      "name": "<string>",
      "url": "<string>",
      "type": "<string>"
    }
  ],
  "lastNotification": "2023-11-07T05:31:56Z",
  "faqSuggested": true,
  "notificationsUnread": true,
  "sessionNotificationsUnread": true,
  "hasAgentReply": true,
  "conversationRating": 123,
  "upvotesCount": 123,
  "upvotes": [
    {
      "email": "<string>"
    }
  ],
  "screenRecordingUrl": "<string>",
  "firstAssignmentAt": "2023-11-07T05:31:56Z",
  "archived": true,
  "archivedAt": "2023-11-07T05:31:56Z",
  "disabled": true,
  "isSpam": true,
  "tags": [
    "<string>"
  ],
  "score": 123,
  "channel": {
    "id": "<string>",
    "type": "<string>",
    "metaData": "<unknown>"
  },
  "manuallyAdded": true,
  "fromData": "<unknown>",
  "consoleLog": "<unknown>",
  "customEventLog": "<unknown>",
  "networkLogs": "<unknown>",
  "isManualStart": true,
  "botId": "<string>",
  "preventAutoReply": true
}
'
{
  "title": "Login button not working",
  "description": "Users cannot log in when clicking the login button",
  "type": "BUG",
  "status": "OPEN",
  "priority": "HIGH",
  "customData": {
    "browser": "Chrome",
    "version": "120.0.0.0"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

project
string
required

Body

application/json
title
string
conversationClosed
boolean
bot
object
content
any
plainContent
string
imageUrl
string
description
string
latestComment
string
latestPublicComment
string
slaBreached
boolean
hidden
boolean
needInitialPush
boolean
noHumanInteraction
boolean
snoozed
boolean
snoozedUntil
string<date-time> | null
processingUser
string
processingTeam
string
queued
boolean
queuedAt
string<date-time>
mentions
string[]
emailRefs
any[]
attributes
any
formData
any
form
any
aiSummary
string
aiSupportSummary
string
dueDate
linkedTickets
string[]
duplicateOf
string
duplicatesCount
number<double>
session
any
sessions
any[]
outbound
string
priority
enum<string>
Available options:
LOW,
MEDIUM,
HIGH
type
string
sentiment
enum<string>
Available options:
positive,
negative,
neutral
status
string
shareToken
string
secretShareToken
string
lexorank
string
bugId
number<double>
project
string
organisation
string
screenshotUrl
string
screenshotBroke
string<date-time>
generatingScreenshot
boolean
screenshotRenderingFailed
boolean
screenshotLive
boolean
screenshotDataUrl
any
isSilent
boolean
replayDataUrl
string
replayUrl
string
generatingReplay
boolean
replayStartDate
string<date-time>
replayRenderingStartedAt
string<date-time>
replayRenderingFailed
boolean
replayLive
boolean
originalEmailContent
string
hasWebReplay
boolean
integrations
object

Construct a type with a set of properties K of type T

metaData
any
actionLog
any
customData
any
replay
any
lastResponse
object
attachments
object[]
lastNotification
string<date-time>
faqSuggested
boolean
notificationsUnread
boolean
sessionNotificationsUnread
boolean
hasAgentReply
boolean
conversationRating
number<double>
upvotesCount
number<double>
upvotes
object[]
screenRecordingUrl
string
firstAssignmentAt
string<date-time>
archived
boolean
archivedAt
string<date-time>
disabled
boolean
isSpam
boolean
tags
string[]
score
number<double>
channel
object
manuallyAdded
boolean
fromData
any
consoleLog
any
customEventLog
any
networkLogs
any
isManualStart
boolean
botId
string
preventAutoReply
boolean

Response

200 - application/json

Ok